package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.RunningMonitoringLog;
import com.lightinit.hsdataplatform.entity.RunningMonitoringLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RunningMonitoringLogMapper {
    long countByExample(RunningMonitoringLogExample example);

    int deleteByExample(RunningMonitoringLogExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RunningMonitoringLog record);

    int insertSelective(RunningMonitoringLog record);

    List<RunningMonitoringLog> selectByExampleWithBLOBs(RunningMonitoringLogExample example);

    List<RunningMonitoringLog> selectByExample(RunningMonitoringLogExample example);

    RunningMonitoringLog selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RunningMonitoringLog record, @Param("example") RunningMonitoringLogExample example);

    int updateByExampleWithBLOBs(@Param("record") RunningMonitoringLog record, @Param("example") RunningMonitoringLogExample example);

    int updateByExample(@Param("record") RunningMonitoringLog record, @Param("example") RunningMonitoringLogExample example);

    int updateByPrimaryKeySelective(RunningMonitoringLog record);

    int updateByPrimaryKeyWithBLOBs(RunningMonitoringLog record);

    int updateByPrimaryKey(RunningMonitoringLog record);
}